org.springframework.shell

## Class Bootstrap

- java.lang.Object
- - org.springframework.shell.Bootstrap

-     public class Bootstrap
      extends Object

  Loads a `Shell` using Spring IoC container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bootstrap()`
    `Bootstrap(String[] args)`
    `Bootstrap(String[] args, String[] contextPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createAndRegisterBeanDefinition(GenericApplicationContext annctx, Class<?> clazz)`
    `protected void` | `createAndRegisterBeanDefinition(GenericApplicationContext annctx, Class<?> clazz, String name)`
    `ApplicationContext` | `getApplicationContext()`
    `JLineShellComponent` | `getJLineShellComponent()`
    `static void` | `main(String[] args)`
    `ExitShellRequest` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bootstrap

          public Bootstrap()

    - #### Bootstrap

          public Bootstrap(String[] args)
                    throws IOException

      Throws:
        `IOException`

    - #### Bootstrap

          public Bootstrap(String[] args,
                   String[] contextPath)

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException

      Throws:
        `IOException`

    - #### getApplicationContext

          public ApplicationContext getApplicationContext()

    - #### createAndRegisterBeanDefinition

          protected void createAndRegisterBeanDefinition(GenericApplicationContext annctx,
                                             Class<?> clazz)

    - #### createAndRegisterBeanDefinition

          protected void createAndRegisterBeanDefinition(GenericApplicationContext annctx,
                                             Class<?> clazz,
                                             String name)

    - #### run

          public ExitShellRequest run()

    - #### getJLineShellComponent

          public JLineShellComponent getJLineShellComponent()